Update Issue to v:3.5.2 or v:3.5.3

When things don't work as they should.
Post Reply
omar
Posts: 6
Joined: Sun Mar 08, 2020 2:11 pm

Update Issue to v:3.5.2 or v:3.5.3

Post by omar »

When I reach step 6 : update the supervisord configuration file, I got this error:
-------------------------------------------------------------------------------
Traceback (most recent call last):
File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/permissions/classes.py", line 129, in stored_permission
return self.__class__._stored_permissions_cache[self.pk]
KeyError: 'appearance.theme_create'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 538, in get_or_create
return self.get(**kwargs), False
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 408, in get
self.model._meta.object_name
mayan.apps.permissions.models.DoesNotExist: StoredPermission matching query does not exist.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/utils/functional.py", line 43, in __call__
return self.__value__
AttributeError: 'ChannelPromise' object has no attribute '__value__'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/mayan-edms/bin/mayan-edms.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
utility.execute()
File "/opt/mayan-edms/lib/python3.7/site-packages/django/core/management/__init__.py", line 357, in execute
django.setup()
File "/opt/mayan-edms/lib/python3.7/site-packages/django/__init__.py", line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/apps/registry.py", line 122, in populate
app_config.ready()
File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/permissions/apps.py", line 86, in ready
Permission.load_modules()
File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/permissions/classes.py", line 104, in load_modules
permission.stored_permission
File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/permissions/classes.py", line 138, in stored_permission
name=self.name,
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/manager.py", line 82, in manager_method
return getattr(self.get_queryset(), name)(*args, **kwargs)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 541, in get_or_create
return self._create_object_from_params(kwargs, params)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 575, in _create_object_from_params
obj = self.create(**params)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/query.py", line 422, in create
obj.save(force_insert=True, using=self.db)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/base.py", line 744, in save
force_update=force_update, update_fields=update_fields)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/db/models/base.py", line 793, in save_base
update_fields=update_fields, raw=raw, using=using,
File "/opt/mayan-edms/lib/python3.7/site-packages/django/dispatch/dispatcher.py", line 175, in send
for receiver in self._live_receivers(sender)
File "/opt/mayan-edms/lib/python3.7/site-packages/django/dispatch/dispatcher.py", line 175, in <listcomp>
for receiver in self._live_receivers(sender)
File "/opt/mayan-edms/lib/python3.7/site-packages/mayan/apps/dynamic_search/handlers.py", line 27, in handler_index_instance
'object_id': instance.pk
File "/opt/mayan-edms/lib/python3.7/site-packages/celery/app/task.py", line 570, in apply_async
**options
File "/opt/mayan-edms/lib/python3.7/site-packages/celery/app/base.py", line 741, in send_task
amqp.send_task_message(P, name, message, **options)
File "/opt/mayan-edms/lib/python3.7/site-packages/celery/app/amqp.py", line 561, in send_task_message
**properties
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/messaging.py", line 181, in publish
exchange_name, declare,
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/connection.py", line 533, in _ensured
return fun(*args, **kwargs)
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/messaging.py", line 187, in _publish
channel = self.channel
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/messaging.py", line 209, in _get_channel
channel = self._channel = channel()
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/utils/functional.py", line 45, in __call__
value = self.__value__ = self.__contract__()
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/messaging.py", line 224, in <lambda>
channel = ChannelPromise(lambda: connection.default_channel)
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/connection.py", line 892, in default_channel
self._ensure_connection(**conn_opts)
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/connection.py", line 445, in _ensure_connection
callback, timeout=timeout
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/utils/functional.py", line 344, in retry_over_time
return fun(*args, **kwargs)
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/connection.py", line 874, in _connection_factory
self._connection = self._establish_connection()
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/connection.py", line 809, in _establish_connection
conn = self.transport.establish_connection()
File "/opt/mayan-edms/lib/python3.7/site-packages/kombu/transport/pyamqp.py", line 130, in establish_connection
conn.connect()
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/connection.py", line 320, in connect
self.drain_events(timeout=self.connect_timeout)
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/connection.py", line 508, in drain_events
while not self.blocking_read(timeout):
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/connection.py", line 514, in blocking_read
return self.on_inbound_frame(frame)
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/method_framing.py", line 55, in on_frame
callback(channel, method_sig, buf, None)
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/connection.py", line 521, in on_inbound_method
method_sig, payload, content,
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/abstract_channel.py", line 145, in dispatch_method
listener(*args)
File "/opt/mayan-edms/lib/python3.7/site-packages/amqp/connection.py", line 651, in _on_close
(class_id, method_id), ConnectionError)
amqp.exceptions.AccessRefused: (0, 0): (403) ACCESS_REFUSED - Login was refused using authentication mechanism AMQPLAIN. For details see the broker logfile.
-------------------------------------------------------------------------------------------------------

Any help please.
Note that I'm updating from v:3.3.13
Post Reply